<? session_start();
include("lib/config.php");
include("lib/conexao_sinsweb.php");
include("funcoes.inc");

?>
<html>
<head>
<title>:: Agendamento Homologação - WEB ::</title>
<script src="js/MascaraValidacao.js" type="text/javascript"></script>
<script language="JavaScript1.2">
      window.status='SINSWeb ';
<!--
function sRetorna(docform) 
{
  window.parent.open('inicio.php','dentro');
}

function sConfirma(docform) 
{
 if (sConsiste(docform)) 
    { 
     <? $_SESSION[ACAO]='CANCELA'; ?>;
	 docform.submit(); 
    }
}


function sConsiste(df)
{
  if (df.fprotocolo.value == "")
    {
    alert("Informe o Nº do Protocolo de agendamento");
    df.fprotocolo.focus();
    return false;
    }	

  if (df.ftrabalhador_cpf.value == "")
    {
    alert("Informe o CPF DO TRABALHADOR");
    df.ftrabalhador_cpf.focus();
    return false;
    }	
 if (df.ftrabalhador_cpf.value.length >0)
	{
	if (df.ftrabalhador_cpf.value == "00000000000")
	{
	alert("CPF Inválido!");
	df.ftrabalhador_cpf.focus();
	return false;
	}

	pNro   = df.ftrabalhador_cpf.value.length;
	pNro1  = df.ftrabalhador_cpf.value.substring(0,1);
	pNro2  = df.ftrabalhador_cpf.value.substring(1,2);
	pNro3  = df.ftrabalhador_cpf.value.substring(2,3);
	pNro4  = df.ftrabalhador_cpf.value.substring(3,4);
	pNro5  = df.ftrabalhador_cpf.value.substring(4,5);
	pNro6  = df.ftrabalhador_cpf.value.substring(5,6);
	pNro7  = df.ftrabalhador_cpf.value.substring(6,7);
	pNro8  = df.ftrabalhador_cpf.value.substring(7,8);
	pNro9  = df.ftrabalhador_cpf.value.substring(8,9);
	pNro10 = df.ftrabalhador_cpf.value.substring(9,10);
	pNro11 = df.ftrabalhador_cpf.value.substring(10,11);

	if ( (pNro != 11) )
	{
	alert("CPF Inválido. Digite os 11 números que compoem o CPF");
	df.ftrabalhador_cpf.focus();
	return false;
	}

   soma=10*pNro1+9*pNro2+8*pNro3+7*pNro4+6*pNro5+5*pNro6+4*pNro7+3*pNro8+2*pNro9
   soma=soma-(11*(parseInt(soma/11)))

   if (soma==0)
	  {
	  resultado1=0
	  }
   if (soma==1)
	  {
	  resultado1=0
	  }
   if (soma>1)
	  {
	  resultado1=11-soma
	  }

   if (resultado1!=pNro10)
	  {
	  alert("CPF Inválido. Tente novamente");
	  df.ftrabalhador_cpf.focus();
	  return false;
	  }

   if (resultado1==pNro10)
	  {
	  soma=pNro1*11+pNro2*10+pNro3*9+pNro4*8+pNro5*7+pNro6*6+pNro7*5+pNro8*4+pNro9*3+pNro10*2;
	  soma=soma-(11*(parseInt(soma/11)));
	  if (soma==0)
		 {
		 resultado1=0
		 }
	  if (soma==1)
		 {
		 resultado1=0
		 }
	  if (soma>1)
		 {
		 resultado1=11-soma
		 }
	  if (resultado1!=pNro11)
		 {
		 alert("CPF Inválido! Digite novamente.");
		 df.ftrabalhador_cpf.focus();
		 return false;
		 }
	  }

   }

  if (df.responsavel_nome.value == "")
    {
    alert("Informe o nome do Responsável pelo cancelamento");
    df.responsavel_nome.focus();
    return false;
    }	

  if (df.observacao.value == "")
    {
    alert("Informe o motivo do cancelamento");
    df.observacao.focus();
    return false;
    }	

 return true;	 
}

	<!--aqui começa a função para desabilitar a tecla enter
function dasabilitarenter() {
var tecla = event.keyCode;
if ((tecla == 13)) { 
    return false;
}
return tecla;
}
// --> aqui termina a função para desabilitar a tecla enter.
</script>

<style type="text/css">
<!--
.caixa_texto {text-align: left; background-color:FFFFFF; border: 1px solid #666666; font-size:8pt; color: #333333}
a:hover {
	text-decoration: none;
	color: #996600;
}
a:active {
	text-decoration: none;
}
.texto {font-family: Arial, Helvetica, sans-serif;font-size: 9px;font-weight: bold;color: #333333;text-decoration: none;
}

-->
</style>
<link href="css/my.css" rel="stylesheet" type="text/css">
    <style type="text/css">
         input  { font-family: Verdana; font-size: 8pt }
         select { font-family: Verdana; font-size: 8pt }

    </style>

<script language="Javascript">
 function janela()
 {
  vpos=window.open('','vpos','toolbar=yes,location=no,directories=no,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=no,top=15,left=50,width=800,height=600'); 
 }
 //Verificar o método, GET ou POST
 //--------------------------------------------
// function mudarMetodo()
// {
//  if(document.gerar.metodo[0].checked==true)
//  {
//   document.gerar.method="POST";
//  }
//  else
//  {
//   document.gerar.method="GET";
//  } 
//  return true;
// }
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
<body topmargin="0" onLoad="gerar.doc_total_empregados.focus();">
<table width="766" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class=titulo_topo height="19" >Agendamento Homologa&ccedil;&atilde;o OnLine</td>
      </tr>
      <tr> 
        
      <td class=titulo width="772" height="19" >Cancelar Agendamento</td>
      </tr>
      <tr> 
        <td> <div align="center">
          <form name="gerar" action="acoes.php" method="POST" target="dentro" onKeyPress="return dasabilitarenter();">
            <table width="90%" border="0" cellspacing="0">
              <tr>
                <td width="71%">&nbsp;</td>
              </tr>
              <tr>
                <td><table width="470" border="0" align="center" cellpadding="4" cellspacing="0">
                  <tr>
                    <td colspan="0" class="texto"><font size="4">Protocolo:</font><br>Número</td>
                    <td colspan="3"><input name="fprotocolo" 
		    type="text"  
			class="caixa_texto" id="fprotocolo" size="30" maxlength="49" ></td>
                  </tr>
                  <tr>
                    <td colspan="0" class="texto"><font size="4">CNPJ/CEI/CPF:</font><br>
                    (Empresa)</td>
                    <td colspan="3"><input name="ftrabalhador_cpf2" 
		    type="text"  
			class="caixa_texto" id="ftrabalhador_cpf2" size="30" maxlength="49" ></td>
                  </tr>
                  <tr>
                    <td width="46" colspan="0" class="texto"><font size="4">CPF:</font><br>
                    (Trabalhador)</td>
                    <td width="1026" colspan="3"><input name="ftrabalhador_cpf" 
		    type="text"  
			class="caixa_texto" id="ftrabalhador_cpf" size="30" maxlength="49" ></td>
                  </tr>
                  <tr>
                    <td colspan="0" class="texto"><font size="4">Respons&aacute;vel</font><br>
                      Cancelamento:</td>
                    <td colspan="3"><input name="responsavel_nome" 
		    type="text"  
			class="caixa_texto" id="responsavel_nome" size="30" maxlength="49" ></td>
                  </tr>
                  <tr>
                    <td colspan="0" class="texto"><font size="4">Obs:</font><br>Motivo do cancelamento</td>
                    <td colspan="3"><textarea name="observacao" id="observacao" cols="45" rows="5"></textarea></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td>&nbsp;</td>
              </tr>
              <tr> 
                <td> <div align="center"><span class="texto">
                <input type="button" name="Button4" value="    Confirma Cancelamento   " onClick="sConfirma(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #FF0000">
                </span>
<input type="button" name="Button2" value="Voltar" onClick="sRetorna(document.gerar)" style="font-family: Tahoma; font-size: 8 pt; color: #000">
                  </div></td>
              </tr>
            </table>
</form>
            <p align="right">&nbsp; <br>
            </p>
          </div></td>
      </tr>
    </table>
</body>
</html>
    </body>
</html>